<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SXR/SXR.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SXR.SXR</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../SXR.html" >SXR</a>
</div><div class="class-name">class SXR

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SXR.py.html" target="detail">../Synopsis/SXR.py</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.SXR.SXR" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line21" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SXR-inheritance" src="SXR-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SXR-inheritance_map" />
<map name="SXR-inheritance_map"></map>
 <div class="doc">Symboltable containing source code locations of symbol definitions&#44;
    as well as different types of references.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="_index">_index</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line27" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.SXR.SXR.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line25" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="index">index</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXR.SXR.index" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line29" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXR.html#generate_index" >generate_index</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXR.SXR.generate_index" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;Re-&#41;generate an index after entries have been added.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="merge">merge</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXR.SXR.merge" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line48" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="generate_index">generate_index</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXR.SXR.generate_index" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXR.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;Re-&#41;generate an index after entries have been added.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
